# spec file for portfolio

Name:           portfolio 
Version:        1.0.2
Release:        1%{?dist}
License:        GPL-3.0
Summary:        File manager for those who want to use Linux mobile devices
Url:            https://github.com/tchx84/Portfolio
Source0:        https://github.com/tchx84/Portfolio/archive/refs/tags/Portfolio-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  meson
BuildRequires:  gcc-c++
BuildRequires:  fdupes
BuildRequires:  appstream
BuildRequires:  hicolor-icon-theme
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  python-rpm-macros
BuildRequires:  gettext
BuildRequires:  cmake
BuildRequires:  libhandy-devel
BuildRequires:  libappstream-glib
BuildRequires:  libadwaita-devel
#Requires:       libhandy0
Requires:       libadwaita
#Requires:       typelib-1_0-Handy-1_0
#Requires:       python3-gobject-Gdk

%description
A minimalist file manager for those who
want to use Linux mobile devices.

%global debug_package %{nil}

%lang_package

%prep
%setup -q -n Portfolio-%{version}

%build
%meson -Dservice_filename=dev.tchx84.Portfolio.service -Drun_service_tests=false
%meson_build

%install
%meson_install
%fdupes %{buildroot}%{_prefix}
%find_lang %{name}


%files -f %{name}.lang
%defattr(-,root,root,-)
%license COPYING
%doc README.md CHANGELOG.md
%{_bindir}/dev.tchx84.Portfolio
%{python3_sitelib}/portfolio/
%{_datadir}/applications/dev.tchx84.Portfolio.desktop
%dir %{_datadir}/dbus-1/
%dir %{_datadir}/dbus-1/services
%{_datadir}/dbus-1/services/dev.tchx84.Portfolio.service
%{_datadir}/glib-2.0/schemas/dev.tchx84.Portfolio.gschema.xml
%{_datadir}/icons/*/*/*/*.svg
%{_datadir}/metainfo/dev.tchx84.Portfolio.metainfo.xml
%{_datadir}/portfolio/
%{_datadir}/polkit-1/rules.d/dev.tchx84.Portfolio.rules

%changelog
* Thu Jun 26 2025 Yoda - 1.0.2
- Update to 1.0.2

* Mon Jul 01 2024 Yoda - 1.0.1
- removed requirement of libhandy0
- Update to 1.0.1

* Wed Sep 20 2023 Yoda - 1.0.0
- Update to 1.0.0

* Fri Jul 07 2023 Yoda - 0.9.15
- Update to 0.9.15

* Thu Jun 23 2022 Yoda - 0.9.14
- Update to 0.9.14

* Mon Mar 01 2021 Yoda - 0.9.13
- Update to 0.9.13

* Tue Dec 28 2021 Yoda
- Initial package
